Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.tasklist
Class TaskListCompletionFilterType

    java.lang.Object
      com.plumtree.remote.prc.collaboration.tasklist.TaskListCompletionFilterType

public class TaskListCompletionFilterType
extends java.lang.Object

An enumerated type used to describe the completion filter type for Task Lists. It is used in `ITaskListFilter.get/setCompletionType`. The filter type indicates the completion filter type of the Task List's containing tasks. `queryTaskLists` will then return Task Lists that contain tasks that satisfy the completion filter type set.

Field Summary
`static TaskListCompletionFilterType` | `ALL` Return all tasklists regardless of the completion statuses of their containing tasks.
`static TaskListCompletionFilterType` | `COMPLETED` Return tasklists that contain only tasks with COMPLETED status.
`static TaskListCompletionFilterType` | `OVERDUE` Return tasklists that contain only tasks that are overdue, i.e., the end date of the tasks has already passed current time.
`static TaskListCompletionFilterType` | `PENDING` Return tasklists that do not have any tasks and tasklists that contain only tasks with PENDING status.

Method Summary
`java.lang.Object` | `getUnderlyingObject()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL

    public static final TaskListCompletionFilterType ALL

  Return all tasklists regardless of the completion statuses of their containing tasks.

### PENDING

    public static final TaskListCompletionFilterType PENDING

  Return tasklists that do not have any tasks and tasklists that contain only tasks with PENDING status.

### COMPLETED

    public static final TaskListCompletionFilterType COMPLETED

  Return tasklists that contain only tasks with COMPLETED status.

### OVERDUE

    public static final TaskListCompletionFilterType OVERDUE

  Return tasklists that contain only tasks that are overdue, i.e., the end date of the tasks has already passed current time.

Method Detail

### toString

    public java.lang.String toString()

### getUnderlyingObject

    public java.lang.Object getUnderlyingObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.